<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>20
        )
    );


$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_about_image',                
                'peccular_about_section_title1',
                'peccular_about_head_icon_enable',
                'peccular_about_head_icon',
                'peccular_about_subtitle',
                'peccular_about_text',
                'peccular_about_texttext',
                'peccular_about_page_list',                
                'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_about_section_title2',
                'peccular_about_pagelist2',
                'peccular_about_section_lbl1',
                'peccular_about_phone',
                'peccular_about_phone_text',
                'peccular_about_section_lbl3',
                'abtservtitle1',
                'abtservtitle2',
                'abtservtitle3',
                'abtservtext1',
                'abtservtext2',
                'abtservtext3',
                'abtservicon1',
                'abtservicon2',
                'abtservicon3',
                'abtexpenum',
                'abtexpetext'

            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',                
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',
                'peccular_about_title_case',
                'peccular_about_heading_color',
                'peccular_about_subheading_color',
                'peccular_about_text_color',
                'peccular_about_list_color',
                'peccular_about_listicon_color',
                'peccular_about_button_color',
                'peccular_about_buttonhovtxt_color',
                'peccular_about_callicon_color',
                'peccular_about_calliconbrdr_color',
                'peccular_about_calltext_color',
                'peccular_about_callnumber_color',
                'peccular_about_icon_color',
                'peccular_about_iconbg_color',
                'peccular_about_abttitle_color',
                'peccular_about_abttext_color',
                'peccular_about_rightboxbg_color',
                'peccular_about_rightboxtext_color',
                'peccular_about_rightbox2bg_color',
                'peccular_about_callnumberhov_color',
                'peccular_about_iconbghov_color'
              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_top_padding',
                'peccular_about_bottom_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('About Image 1','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting('peccular_about_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_section_lbl1',
        array(
            'settings'      => 'peccular_about_section_lbl1',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take First Image size 520px x 476px  ', 'peccular Premium' ),
        )
    )
);


$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'About Us', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_section_title2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Elevate Your Business with Next-Generation Technology', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title2',
    array(
        'settings'      => 'peccular_about_section_title2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor ut labore et dolore magna Lorem ipsum dolor.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
           <li>There are many variations of</li>
            <li>passages of Lorem Ipsum</li>
            <li>available but the majority</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist2',
    array(
        'settings'      => 'peccular_about_pagelist2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points List', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '111 222 333 444', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_phone',
    array(
        'settings'      => 'peccular_about_phone',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_phone_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'CALL NOW', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_phone_text',
    array(
        'settings'      => 'peccular_about_phone_text',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Text', 'peccular-premium' )
    )
);

//About services

$wp_customize->add_setting(
        'abtservicon1',
        array(
            'default'           => 'fa fa-star-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abtservicon1',
            array(
                'settings'      => 'abtservicon1',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
    )
);

$wp_customize->add_setting(
    'abtservtitle1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Quality Materials', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtitle1',
    array(
        'settings'      => 'abtservtitle1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Plan 1', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtservtext1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtext1',
    array(
        'settings'      => 'abtservtext1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
        'abtservicon2',
        array(
            'default'           => 'fa fa-star-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abtservicon2',
            array(
                'settings'      => 'abtservicon2',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
    )
);

$wp_customize->add_setting(
    'abtservtitle2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Professional Contractors', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtitle2',
    array(
        'settings'      => 'abtservtitle2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Plan 2', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtservtext2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtext2',
    array(
        'settings'      => 'abtservtext2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
        'abtservicon3',
        array(
            'default'           => 'fa fa-star-o',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abtservicon3',
            array(
                'settings'      => 'abtservicon3',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
    )
    )
);

$wp_customize->add_setting(
    'abtservtitle3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Most Trusted Company', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtitle3',
    array(
        'settings'      => 'abtservtitle3',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Plan 3', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtservtext3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtservtext3',
    array(
        'settings'      => 'abtservtext3',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Text', 'peccular-premium' )
    )
);

// about services end

$wp_customize->add_setting(
    'abtexpenum',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '15', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtexpenum',
    array(
        'settings'      => 'abtexpenum',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Right Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtexpetext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Year Experience', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtexpetext',
    array(
        'settings'      => 'abtexpetext',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Right Text', 'peccular-premium' )
    )
);

    $wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));


    $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));



// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
    $wp_customize->add_setting(
        'peccular_about_btn_txt',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Read More' )
        )
    );
    $wp_customize->add_control(
        'peccular_about_btn_txt',
        array(
            'settings'      => 'peccular_about_btn_txt',
            'section'       => 'peccular_about_section',
            'type'          => 'text',
            'label'         => __( 'Button Text', 'peccular-premium' )
        )
    );
    $wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    $wp_customize->add_control('peccular_about_btnlink',
        array(
            'settings'      => 'peccular_about_btnlink',
            'section'       => 'peccular_about_section',
            'type'          => 'url',
            'label'         => __( 'Add Button link here', 'peccular-premium' )
        )
    );

    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_title_case',array(
        'type' => 'select',
        'label' => __('About Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_about_section',
    ));


    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));
   
    $wp_customize->add_setting('peccular_about_top_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));



addColorPalatOption($wp_customize, 'peccular_about_heading_color', 'peccular_about_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', ' Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_text_color', 'peccular_about_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_list_color', 'peccular_about_section', 'List Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listicon_color', 'peccular_about_section', 'List Icon color', '');
addColorPalatOption($wp_customize, 'peccular_about_button_color', 'peccular_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonhovtxt_color', 'peccular_about_section', 'Button Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_about_callicon_color', 'peccular_about_section', 'Call Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_calliconbrdr_color', 'peccular_about_section', 'Call Icon Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_calltext_color', 'peccular_about_section', 'Call Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_callnumber_color', 'peccular_about_section', 'Call Number Color', '');
addColorPalatOption($wp_customize, 'peccular_about_callnumberhov_color', 'peccular_about_section', 'Call Number Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_icon_color', 'peccular_about_section', 'Plan Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconbg_color', 'peccular_about_section', 'Plan Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconbghov_color', 'peccular_about_section', 'Plan Icon BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_abttitle_color', 'peccular_about_section', 'Plan Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_abttext_color', 'peccular_about_section', 'Plan Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_rightboxbg_color', 'peccular_about_section', 'Right Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightboxtext_color', 'peccular_about_section', 'Right Box Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightbox2bg_color', 'peccular_about_section', 'Right Box Small BG Color', '');


?>