<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );
    

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               
          
                'peccular_rightcontactpage_maintitle',
                'peccular_contactpageform_image',
                'peccular_rightcontactpage_subtitle',
                'peccular_leftcontactpage_maintitle',
                'peccular_leftcontactpage_maintitle2',
                'peccular_leftcontactpage_subtitle3',
                'peccular_contactpage_head_icon',
                'peccular_contactpage_subtitle',              
                'peccular_contactpage_phone1',
                'peccular_contactpage_addresslabel',
                'peccular_contactpage_Address1',
                'peccular_contactpage_Address2',
                'peccular_contactpage_Addresslabel1',
                'peccular_contactpage_Addresslabel2',
                'peccular_contactpage_Email1',
                'peccular_contactpage_Email2',
                'peccular_contactpage_Emailtxt1',
                'peccular_contactpage_Emailtxt2',
                'peccular_contactpage_email1',
                'peccular_contactpage_fb',
                'peccular_contactpage_tw',
                'peccular_contactpage_in',
                'peccular_contactpage_youtube',
                'peccular_contactpage_instagram',
                'peccular_contactpage_whatsapp',
                'peccular_contactpage_pinterest',
                'peccular_contactpage_form_shortcode',
                'peccular_rightcontactpage_heading',
                'peccular_leftcontactpage_heading',
                'peccular_rightcontactpage_maintitle1',
                'peccular_rightcontactpage_calltext',
                'peccular_rightcontactpage_callnum',
                'peccular_contactpage_iframe_shortcode',
                'peccular_leftcontactpage_heading'          


            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 

                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_head_align',
                'peccular_leftcontactpage_head_align',
                'peccular_leftcontactpagecolor_heading',
                'peccular_rightcontactpagecolor_heading',
                'peccular_contactpageleft_heading_color',
                'peccular_contactpageleft_subheading_color',
                'peccular_contactpageleft_formtext_color',
                'peccular_contactpageleft_formborder_color',
                'peccular_contactpageleft_btntext_color',
                'peccular_contactpageleft_btnbg_color',
                'peccular_contactpageleft_btnhovtext_color',
                'peccular_contactpageleft_btnhovbg_color',
                'peccular_contactpageright_boxbg_color',
                'peccular_contactpageright_heading_color',
                'peccular_contactpageright_subheading_color',
                'peccular_contactpageright_icon_color',
                'peccular_contactpageright_emailborder_color',
                'peccular_contactpageright_text_color',
                'peccular_contactpageright_label_color',
                'peccular_contactpageright_linkhover_color',
                'peccular_contactpageright_addtext_color',
                'peccular_contactpageright_headingspan_color', 
                'peccular_contactpageright_topheading_color1',
                'peccular_contactpageright_calltext_color',
                'peccular_contactpageright_callboxbg_color',
                'peccular_contactpageright_callicon_color',
                'peccular_contactpageright_calliconbg_color',
                'peccular_contactpageright_iconhover_color',
                'peccular_contactpageright_botombrdr_color',
                'peccular_contactpage_mapborder_color',
                'peccular_contactpageright_callnum_color',                
                'peccular_contactpageright_callnumhover_color',
                'peccular_contactpageright_calldotbordr_color',
                'peccular_contactpageleft_leftboxbg_color',
                'peccular_contactpageleft_subheading_color',
                'peccular_contactpageleft_subheadingtxt_color',
                'peccular_contactpageleft_socicon_color',
                'peccular_contactpageleft_sociconbrdr_color',
                'peccular_contactpageleft_sociconhovbg_color',
                'peccular_contactpageleft_sociconhov_color',
                'peccular_contactpageleft_sociconhovbrdr_color'
                
            ),
         )
        ),
    )));


// left side

     $wp_customize->add_setting(
        'peccular_leftcontactpage_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_leftcontactpage_heading',
            array(
                'settings'      => 'peccular_leftcontactpage_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Left Contact Side', 'peccular Premium' ),
    ))); 

    $wp_customize->add_setting( 'peccular_contactpageform_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contactpageform_image', array(
        'label' => __('Form BG Image','peccular'),
       'section' => 'peccular_contact_pages',
    )));


    $wp_customize->add_setting(
        'peccular_leftcontactpage_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Request a Quote', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_leftcontactpage_maintitle',
        array(
            'settings'      => 'peccular_leftcontactpage_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Left Section Heading', 'peccular' )
        )
    );
    $wp_customize->add_setting(
        'peccular_leftcontactpage_maintitle2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Get Industry Inspection', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_leftcontactpage_maintitle2',
        array(
            'settings'      => 'peccular_leftcontactpage_maintitle2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Left Section Sub Heading', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_leftcontactpage_subtitle3',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_leftcontactpage_subtitle3',
        array(
            'settings'      => 'peccular_leftcontactpage_subtitle3',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Left Section Text', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_contactpage_form_shortcode',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Add form shortcode here', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_form_shortcode',
        array(
            'settings'      => 'peccular_contactpage_form_shortcode',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Form Shortcode ', 'peccular' )
        )
    );

 // FACEBOOK 
$wp_customize->add_setting('peccular_contactpage_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_fb',
    array(
        'settings'      => 'peccular_contactpage_fb',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_contactpage_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_tw',
    array(
        'settings'      => 'peccular_contactpage_tw',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('peccular_contactpage_instagram',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_instagram',
    array(
        'settings'      => 'peccular_contactpage_instagram',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);


// LINKED IN
$wp_customize->add_setting('peccular_contactpage_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_in',
    array(
        'settings'      => 'peccular_contactpage_in',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'peccular-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('peccular_contactpage_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_pinterest',
    array(
        'settings'      => 'peccular_contactpage_pinterest',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'peccular-premium' )
    )
);

// Youtube IN
$wp_customize->add_setting('peccular_contactpage_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_youtube',
    array(
        'settings'      => 'peccular_contactpage_youtube',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Youtube Url', 'peccular-premium' )
    )
);



// Whatsapp IN
$wp_customize->add_setting('peccular_contactpage_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_whatsapp',
    array(
        'settings'      => 'peccular_contactpage_whatsapp',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Whatsapp Url', 'peccular-premium' )
    )
);
   

// Right side    
$wp_customize->add_setting(
            'peccular_rightcontactpage_heading',
            array(
                'sanitize_callback' => 'peccular_sanitize_text'
            )
        );
    $wp_customize->add_control(
            new peccular_Customize_Heading(
                $wp_customize,
                'peccular_rightcontactpage_heading',
                array(
                    'settings'      => 'peccular_rightcontactpage_heading',
                    'section'       => 'peccular_contact_pages',
                    'label'         => __( 'Right Contact Side', 'peccular Premium' ),
    ))); 

    $wp_customize->add_setting(
        'peccular_rightcontactpage_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'CONTACT<span> WITH US</span>', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_rightcontactpage_maintitle',
        array(
            'settings'      => 'peccular_rightcontactpage_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Right Section Heading', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_rightcontactpage_subtitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'There are many variations of passages of Lorem Ipsum', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_rightcontactpage_subtitle',
        array(
            'settings'      => 'peccular_rightcontactpage_subtitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Right Section Text', 'peccular' )
        )
    );


$wp_customize->add_setting(
    'peccular_rightcontactpage_maintitle1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'NEED ANY SERVICES HELP?', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_rightcontactpage_maintitle1',
    array(
        'settings'      => 'peccular_rightcontactpage_maintitle1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Section Top Heading', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_rightcontactpage_calltext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Call Us Now!', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_rightcontactpage_calltext',
    array(
        'settings'      => 'peccular_rightcontactpage_calltext',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Call Text', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_rightcontactpage_callnum',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '11 222 333 55', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_rightcontactpage_callnum',
    array(
        'settings'      => 'peccular_rightcontactpage_callnum',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Call Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_Addresslabel1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Location 1', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_Addresslabel1',
    array(
        'settings'      => 'peccular_contactpage_Addresslabel1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address label 1', 'peccular' )
    )
);

    $wp_customize->add_setting(
        'peccular_contactpage_Address1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '4581 Washington Ave.manch ester,kentucky 39495', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Address1',
        array(
            'settings'      => 'peccular_contactpage_Address1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Address 1', 'peccular' )
        )
    );


    $wp_customize->add_setting(
        'peccular_contactpage_Addresslabel2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Location 2', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Addresslabel2',
        array(
            'settings'      => 'peccular_contactpage_Addresslabel2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Address label 2', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_contactpage_Address2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '4581 Washin@fakemail.com <br/>4581 dan @fakemail.com', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Address2',
        array(
            'settings'      => 'peccular_contactpage_Address2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Address 2', 'peccular' )
        )
    );

    $wp_customize->add_setting(
    'peccular_contactpage_Email1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Email', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_Email1',
    array(
        'settings'      => 'peccular_contactpage_Email1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label 1', 'peccular' )
    )
);

    $wp_customize->add_setting(
        'peccular_contactpage_Emailtxt1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Heraremany.co.uk', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Emailtxt1',
        array(
            'settings'      => 'peccular_contactpage_Emailtxt1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Email 1', 'peccular' )
        )
    );


    $wp_customize->add_setting(
        'peccular_contactpage_Email2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Email', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Email2',
        array(
            'settings'      => 'peccular_contactpage_Email2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Email label 2', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_contactpage_Emailtxt2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Heraremany.co.uk', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Emailtxt2',
        array(
            'settings'      => 'peccular_contactpage_Emailtxt2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Email 2', 'peccular' )
        )
    );


   $wp_customize->add_setting('peccular_contactpage_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_head_align',array(
        'type' => 'select',
        'label' => __('Right Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

    $wp_customize->add_setting('peccular_leftcontactpage_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_leftcontactpage_head_align',array(
        'type' => 'select',
        'label' => __('Left Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));


$wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

   
    $wp_customize->add_setting(
        'peccular_leftcontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_leftcontactpagecolor_heading',
            array(
                'settings'      => 'peccular_leftcontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Left Side Color', 'peccular Premium' ),
    ))); 


addColorPalatOption($wp_customize, 'peccular_contactpageleft_leftboxbg_color', 'peccular_contact_pages', 'Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_heading_color', 'peccular_contact_pages', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_subheading_color', 'peccular_contact_pages', 'Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_subheadingtxt_color', 'peccular_contact_pages', 'Heading Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formtext_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formborder_color', 'peccular_contact_pages', 'Form Border color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btntext_color', 'peccular_contact_pages', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnbg_color', 'peccular_contact_pages', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovtext_color', 'peccular_contact_pages', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovbg_color', 'peccular_contact_pages', 'Button Hover BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_socicon_color', 'peccular_contact_pages', 'Socail Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconbrdr_color', 'peccular_contact_pages', 'Socail Icon Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconhovbg_color', 'peccular_contact_pages', 'Hover/Active Socail Icon BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconhov_color', 'peccular_contact_pages', 'Hover/Active Social Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconhovbrdr_color', 'peccular_contact_pages', 'Hover/Active Social Icon Border Color ', '');



    $wp_customize->add_setting(
        'peccular_rightcontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_rightcontactpagecolor_heading',
            array(
                'settings'      => 'peccular_rightcontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Right Side Color', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_contactpageright_topheading_color1', 'peccular_contact_pages', 'Top Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_calltext_color', 'peccular_contact_pages', 'Call Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_callnum_color', 'peccular_contact_pages', 'Call Number Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_callboxbg_color', 'peccular_contact_pages', 'Call Box Bg Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_callicon_color', 'peccular_contact_pages', 'Call Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_calliconbg_color', 'peccular_contact_pages', 'Call Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_iconhover_color', 'peccular_contact_pages', 'Icon Hover Color', '');  
addColorPalatOption($wp_customize, 'peccular_contactpageright_callnumhover_color', 'peccular_contact_pages', 'Call Number Hover Color', '');  
addColorPalatOption($wp_customize, 'peccular_contactpageright_calldotbordr_color', 'peccular_contact_pages', 'Call Dot Border Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contactpageright_botombrdr_color', 'peccular_contact_pages', 'Bottom Border Color', '');    

addColorPalatOption($wp_customize, 'peccular_contactpageright_boxbg_color', 'peccular_contact_pages', 'Box BG Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contactpageright_heading_color', 'peccular_contact_pages', 'Heading Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contactpageright_headingspan_color', 'peccular_contact_pages', 'Heading Span Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contactpageright_subheading_color', 'peccular_contact_pages', 'Sub Heading Color', '');
//addColorPalatOption($wp_customize, 'peccular_contactpageright_icon_color', 'peccular_contact_pages', 'Icon Color', '');
// addColorPalatOption($wp_customize, 'peccular_contactpageright_emailborder_color', 'peccular_contact_pages', 'Email Border Color', '');
// addColorPalatOption($wp_customize, 'peccular_contactpageright_text_color', 'peccular_contact_pages', 'Email/Phone Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_label_color', 'peccular_contact_pages', 'Label Color', '');
//addColorPalatOption($wp_customize, 'peccular_contactpageright_linkhover_color', 'peccular_contact_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_addtext_color', 'peccular_contact_pages', 'Adress Text Color', '');
//addColorPalatOption($wp_customize, 'peccular_contactpage_mapborder_color', 'peccular_contact_pages', 'Map Border Color', '');
?>