<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_service_inner_pages' , array(
        'title'    => __( 'Service Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );


    $wp_customize->add_setting('peccular_serviceinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_serviceinnerpages_nav', array(
       'section' => 'peccular_service_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'service_featured_img_on_off',
                'peccular_serviceinnerpage_post_image_height' ,
                'peccular_serviceinnerpage_post_excerpt'           
                              
                //'service_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_serviceinnpage_title_color',
                'peccular_serviceinnpage_overlay_color',
                'peccular_serviceinnpage_buttontext_color',
                'peccular_serviceinnpage_buttonbg_color',
                'peccular_serviceinnpage_buttonbrdr_color',
                'peccular_serviceinnpage_buttontxthv_color',
                'peccular_serviceinnpage_buttonbghov_color',
                'peccular_serviceinnpage_buttonhovbrdr_color',
                'peccular_serviceinnpage_boxbg_color',
                'peccular_serviceinnpage_titlehov_color',
                'peccular_serviceinnpage_imgoverlay_color'
                
                
            ),
         )
        ),
    )));


   $wp_customize->add_setting('peccular_serviceinnerpage_post_image_height',array(
        'default' => 223,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_serviceinnerpage_post_image_height',array(
    'label' => __('Feature Image Height','peccular'),
    'section' => 'peccular_service_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('peccular_serviceinnerpage_post_excerpt',array(
        'default' => 11,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_serviceinnerpage_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_serviceinnerpage_post_excerpt',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));


addColorPalatOption($wp_customize, 'peccular_serviceinnpage_title_color', 'peccular_service_inner_pages', 'Service Title Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_titlehov_color', 'peccular_service_inner_pages', 'Service Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_buttontext_color', 'peccular_service_inner_pages', ' Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_imgoverlay_color', 'peccular_service_inner_pages', ' Image Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_buttonbg_color', 'peccular_service_inner_pages', ' Button Background Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_buttonbrdr_color', 'peccular_service_inner_pages', ' Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_buttontxthv_color', 'peccular_service_inner_pages', ' Button Hover Text color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_buttonbghov_color', 'peccular_service_inner_pages', ' Button Hover Background color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_buttonhovbrdr_color', 'peccular_service_inner_pages', ' Button Hover Border Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_boxbg_color', 'peccular_service_inner_pages', '  Box BG Color', '');
?>