<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','413')) ?>px;
  "
  <?php endif ?> 
 <?php } ?>
  > 
 
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>   
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?> 

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
	<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
<div class="row md-1">
		<div class="col-xl-6 col-lg-12 col-md-12 col-sm-12 col-xs-12 leftcontact">
				
		<?php
					
		$peccular_leftcontactpage_maintitle = get_theme_mod('peccular_leftcontactpage_maintitle', 'Request a Quote');
		$peccular_leftcontactpage_maintitle2 = get_theme_mod('peccular_leftcontactpage_maintitle2', 'Get Industry Inspection');	
		$peccular_leftcontactpage_subtitle3 = get_theme_mod('peccular_leftcontactpage_subtitle3', 'your Industry will require some professionl attention for long live');							
		?>	
			<div class="contactformarea">
			<?php if($peccular_leftcontactpage_maintitle || $peccular_leftcontactpage_maintitle2 || $peccular_leftcontactpage_subtitle3){ ?>
				<div class="peccular-section-head" style="text-align: <?php if(get_theme_mod('peccular_leftcontactpage_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_leftcontactpage_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_leftcontactpage_head_align','Right') == 'Right'){ ?> right <?php } ?> ">
					
					<?php if($peccular_leftcontactpage_maintitle){ ?>
		                <h1><?php echo ($peccular_leftcontactpage_maintitle);  ?></h1>
		            <?php }?>

					<?php if($peccular_leftcontactpage_maintitle2){ ?>
		                <h2><?php echo ($peccular_leftcontactpage_maintitle2);  ?></h2>
		            <?php }?>

				    <?php if($peccular_leftcontactpage_subtitle3){ ?>
      					<h3><?php echo ($peccular_leftcontactpage_subtitle3);  ?></h3>
      				<?php }?>	
				</div>
			<?php }?>				
				<div class="peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						
						<?php 
						$peccular_contactpage_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add form shortcode on customiser');
						?>
						<div class="peccular-contact-member-wrap">
							<?php echo do_shortcode($peccular_contactpage_form_shortcode);?>
							<div class="clearfix"></div>
						</div>
				</div>


		<div class="col-lg-4 col-md-6 col-sm-6 col-xs-6 pd-0 socials">
		<?php
		$facebook = get_theme_mod('peccular_contactpage_fb', '//facebook.com/');
		$twitter = get_theme_mod('peccular_contactpage_tw', '//twitter.com/');
		$linkedIn = get_theme_mod('peccular_contactpage_in', '//linkedin.com/');
		$youtube = get_theme_mod('peccular_contactpage_youtube', '');
		$instagram = get_theme_mod('peccular_contactpage_instagram', '');
		$whatsapp = get_theme_mod('peccular_contactpage_whatsapp', '');
		$pinterest = get_theme_mod('peccular_contactpage_pinterest', 'https://www.pinterest.com');
		?>

		<?php if(!empty($facebook)){ ?>
		<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
		<?php }?>

		<?php if(!empty($twitter)){ ?>
		<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a>
		<?php }?>

		<?php if(!empty($linkedIn)){ ?>
		<a href="<?php echo $linkedIn ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-linkedin"></i></a>
		<?php }?>
		<?php if(!empty($pinterest)){ ?>
		<a href="<?php echo $pinterest ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a>
		<?php }?>
		<?php if(!empty($youtube)){ ?>
		<a href="<?php echo $youtube ?>" title="Youtube" class="site-button sharp" target="_blank"><i class="fa fa-youtube"></i></a>
		<?php }?>
		<?php if(!empty($instagram)){ ?>
		<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
		<?php }?>
		<?php if(!empty($whatsapp)){ ?>
		<a href="<?php echo $whatsapp ?>" title="Whats App" class="site-button sharp" target="_blank"><i class="fa fa-whatsapp"></i></a>
		<?php }?>	
		</div><!-- col 6 social icon-->
			</div>
		</div>

		<div class="col-xl-6 col-lg-12 col-md-12 col-sm-12 col-xs-12 rightcontact">


				<?php
					$peccular_rightcontactpage_maintitle1 = get_theme_mod('peccular_rightcontactpage_maintitle1', 'NEED ANY SERVICES HELP?');
					$peccular_rightcontactpage_calltext = get_theme_mod('peccular_rightcontactpage_calltext', 'Call Us Now!');	
					$peccular_rightcontactpage_callnum = get_theme_mod('peccular_rightcontactpage_callnum', '11 222 333 55');	
					$peccular_rightcontactpage_page_id = get_theme_mod('peccular_rightcontactpage_page_id');	
					$peccular_rightcontactpage_maintitle = get_theme_mod('peccular_rightcontactpage_maintitle', 'CONTACT<span> WITH US</span>');	
					$peccular_rightcontactpage_subtitle = get_theme_mod('peccular_rightcontactpage_subtitle', 'There are many variations of passages of Lorem Ipsum ');							
				?>


		<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 border-bottom">
			<?php 
						$peccular_rightcontactpage_image = get_theme_mod('peccular_rightcontactpage_image');
						if(!empty($peccular_rightcontactpage_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_rightcontactpage_image).'" class="app-right-img" />';
						}else{
							echo '<img alt="About us" src="'.get_template_directory_uri().'/images/contactrightimg.png" class="app-right-img" />';
						}
					?>	
			<div class="row md-1">	
				<div class="col-xl-8 col-lg-12 col-md-12 col-sm-12 rightcallnow-left pd-0">
				
					<?php if($peccular_rightcontactpage_maintitle1){ ?>
					 <h2 style="text-transform : <?php if(get_theme_mod('peccular_rightcontactpage_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_rightcontactpage_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_rightcontactpage_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_rightcontactpage_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php echo ($peccular_rightcontactpage_maintitle1);  ?></h2>	
					<?php }?>
					
				
					<?php if($peccular_rightcontactpage_calltext || $peccular_rightcontactpage_callnum ){ ?>
					<div class="callnowbox">			        	
			        	<h3><?php echo ($peccular_rightcontactpage_calltext);  ?><div class="calltopbrdr"><i class="fa fa-minus" aria-hidden="true"></i><i class="fa fa-minus" aria-hidden="true"></i><span></span></div></h3>
						<div class="callnownum">
		  					<i class="fa fa-phone" aria-hidden="true"></i>
		  					<p><a href="telto:<?php echo $peccular_rightcontactpage_callnum;?>"><?php echo ($peccular_rightcontactpage_callnum);  ?></a></p> 
		  					
		  				</div>					
					</div><!--callnowbox -->

					<?php }?>
					<div class="clearfix"></div>		      
				</div>				

				
			</div>
		</div><!--col 12 -->
				<?php if($peccular_rightcontactpage_maintitle || $peccular_rightcontactpage_subtitle){ ?>
				<div class="peccular-section-head" style="text-align: <?php if(get_theme_mod('peccular_contactpage_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_contactpage_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_contactpage_head_align','Right') == 'Right'){ ?> right <?php } ?> ">
							
					<?php if($peccular_rightcontactpage_maintitle) { ?>
		                <h2><?php echo ($peccular_rightcontactpage_maintitle);  ?></h2>
		            <?php }?>
				   	<?php if($peccular_rightcontactpage_subtitle){ ?>
      				<h3><?php echo ($peccular_rightcontactpage_subtitle);  ?></h3>	
      				<?php }?>		
				</div>	
				<?php }?>					
				<?php
					$peccular_contactpage_Addresslabel1 = get_theme_mod('peccular_contactpage_Addresslabel1', 'Location 1');
					$peccular_contactpage_Addresslabel2 = get_theme_mod('peccular_contactpage_Addresslabel2', 'Location 2');
					$peccular_contactpage_Address1 = get_theme_mod('peccular_contactpage_Address1', '4581 Washington Ave.manch ester,kentucky 39495');
					$peccular_contactpage_Address2 = get_theme_mod('peccular_contactpage_Address2', '4581 Washington Ave.manch ester,kentucky 39495');
					$peccular_contactpage_Email1 = get_theme_mod('peccular_contactpage_Email1', 'Email');
					$peccular_contactpage_Email2 = get_theme_mod('peccular_contactpage_Email2', 'Email');
					$peccular_contactpage_Emailtxt1 = get_theme_mod('peccular_contactpage_Emailtxt1', 'Heraremany.co.uk');
					$peccular_contactpage_Emailtxt2 = get_theme_mod('peccular_contactpage_Emailtxt2', 'Heraremany.co.uk');		
					
				?>
				<div class="peccular-contact">
					<div class="row">	
						
					<?php if($peccular_contactpage_Addresslabel1 ){ ?>
					<div class="col-lg-6 col-md-6 col-sm-6">
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								
							<!-- <div class="peccular-contact-label"> <?php //echo $peccular_contactpage_Addresslabel1;?></div> -->	
							<div class="peccular-contact-info">
									<?php echo $peccular_contactpage_Address1 ;?>
							</div>									
						</div>
					</div>
					<?php }?>						
					<?php if($peccular_contactpage_Addresslabel2 ){ ?>		
					<div class="col-lg-6 col-md-6 col-sm-6">
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								
							<!-- <div class="peccular-contact-label"> <?php //echo $peccular_contactpage_Addresslabel2;?></div> -->	
							<div class="peccular-contact-info">
									<?php echo $peccular_contactpage_Address2 ;?>
							</div>									
						</div>
					</div>
					<?php }?>	
							<div class="clearfix"></div>
				</div><!-- row -->
				<div class="clearfix"></div>
				
				<div class="row">	
						
					<?php if($peccular_contactpage_Email1 ){ ?>
					<div class="col-lg-6 col-md-6 col-sm-6 emailmargin">
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								
							<!-- <div class="peccular-contact-label"> <?php //echo $peccular_contactpage_Email1;?></div> -->	
							<div class="peccular-contact-info2">
								<a href="mailto:<?php echo $peccular_contactpage_Emailtxt1;?>">	<?php echo $peccular_contactpage_Emailtxt1 ;?></a>
							</div>									
						</div>
					</div>
					<?php }?>						
					<?php if($peccular_contactpage_Email2 ){ ?>		
					<div class="col-lg-6 col-md-6 col-sm-6 emailmargin">
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								
							<!-- <div class="peccular-contact-label"> <?php //echo $peccular_contactpage_Email2;?></div> -->	
							<div class="peccular-contact-info2">
								<a href="mailto:<?php echo $peccular_contactpage_Emailtxt2;?>">		<?php echo $peccular_contactpage_Emailtxt2 ;?></a>
							</div>									
						</div>
					</div>
					<?php }?>	
							<div class="clearfix"></div>
				</div><!-- row -->
						<div class="clearfix"></div>
				</div>						
			</div><!-- rightcontact-->
				
				
			</div><!-- row -->
		</div>
			<?php $peccular_contactpage_iframe_shortcode = get_theme_mod('peccular_contactpage_iframe_shortcode', 'Add Map Embed Code Here');
				 ?>
			<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
						<?php if(!empty($peccular_contactpage_iframe_shortcode)){ ?>
						<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								<?php echo ($peccular_contactpage_iframe_shortcode);  ?>
							</div>
						<?php }?>
				</div>			
						
</main>
<?php get_footer(); ?>